/*
*  Name:      defs.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   UESQLC common definitions
*  Date:      $Date: 1999/04/20 14:04:07 $
*  Revision:  $Revision: 1.5 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _DEFS_UESQLC__
#define _DEFS_UESQLC__

#include "exceptions.hh"


/*
*  Value for yacc stack.
*/

#define YYSTYPE  TStackValue


/*
*  Define SQL-92 Conformance Levels.
*/

enum eSQL92_ConformanceLevels
{
  ENTRY_SQL_LEVEL = 1    ,
  INTERMEDIATE_SQL_LEVEL ,
  FULL_SQL_LEVEL
};


/*
*  Define identifiers for SQL-92 Rules.
*  Identifiers come from document X3H2-92-154/DBL CBR-002:
*
*    (Second Informal Review Draft) ISO/IEC 9075:1992, Database
*    Language SQL- July 30, 1992
*/

enum eSQL92_Requirements 
{
  SQL92_SR_5_2_P8 = 1 ,
  SQL92_SR_5_2_P9     ,
  SQL92_SR_5_3_P21    ,
  SQL92_SR_8_2_P1     ,
  SQL92_SR_11_3_P5    ,
  SQL92_SR_13_11_P4   ,
  SQL92_LR_5_2_P1     ,
  SQL92_LR_5_2_P2_A   ,
  SQL92_LR_5_2_P2_B   ,
  SQL92_LR_6_3_P2_B   ,
  SQL92_LR_6_3_P2_C   ,
  SQL92_LR_6_8_P1     ,
  SQL92_LR_6_8_P2     ,
  SQL92_LR_6_11_P2_A  ,
  SQL92_LR_6_11_P2_B  ,
  SQL92_LR_6_11_P2_C  ,
  SQL92_LR_6_11_P2_D  ,
  SQL92_LR_8_9_P2     ,
  SQL92_LR_8_10_P1    ,
  SQL92_LR_11_10_P2   ,
  SQL92_LR_13_1_P1_A  ,
  SQL92_LR_13_1_P2_A  ,
  SQL92_LR_13_1_P2_B  ,
  SQL92_LR_13_3_P2_A  ,
  SQL92_LR_13_3_P2_B
};
      
#endif  /* not _DEFS_UESQLC__ */
