/*
*  Name:      exceptions.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   UESQLC exceptions
*  Date:      $Date: 1998/11/23 11:21:39 $
*  Revision:  $Revision: 1.5 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include "exceptions.hh"


/*
*  C O N S T A N T S
*
*  Warning and fatal errors should look like this:
*
*    source-file-name:lineno: message
*
*
*  Fatal errors should look like this:
*
*    program:source-file-name:lineno: message
*
*/
const char*   pkcExceptionUESQLC_WarningDescription = "";
const char*   pkcExceptionUESQLC_ErrorDescription   = "";
const char*   pkcExceptionUESQLC_FatalDescription   = "uesqlc: ";


/*
*  S E L E C T O R S
*/

void TExceptionUESQLC::putOnStream (ostream& rtTARGET_OSTREAM) const
{

  if ( fileName() )
  {
    TBaseException::putOnStream (rtTARGET_OSTREAM);
  }
  else
  {
    rtTARGET_OSTREAM << generalDescription();
    if ( specificDescription() )
    {
      rtTARGET_OSTREAM << specificDescription();
    }
    rtTARGET_OSTREAM << endl;
  }
 
}  /* putOnStream() */


void TExceptionUESQLC_Fatal::putOnStream (ostream& rtTARGET_OSTREAM) const
{

  /*
  *  Fatal errors doesn't depend on files.
  */
  rtTARGET_OSTREAM << generalDescription();
  if ( specificDescription() )
  {
    rtTARGET_OSTREAM << specificDescription();
  }
  rtTARGET_OSTREAM << endl;
 
}  /* putOnStream() */


