/*
*  Name:      requeriment_verifier.hh
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   UESQLC requirement verifier for ANSI/ISO SQL 92
*  Date:      $Date: 1999/04/20 14:04:08 $
*  Revision:  $Revision: 1.5 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#ifndef _REQUIREMENT_VERIFIER__
#define _REQUIREMENT_VERIFIER__

#include <mpcl/base_requirement_verifier.hh>
#include "defs.hh"
#include "stack_value.hh"


class TRequirementVerifier : public TBaseRequirementVerifier<TStackValue*>
{

  public:

    /*
    *  C O N S T R U C T O R S
    */

    TRequirementVerifier (void);
    /*
    *  Description:  Builds a new instance.
    */
    

  public:

    /*
    *  S E L E C T O R S
    */
    
    bool verify (long int liREQUERIMENT_IDENTIFIER) const;
    /*
    *  Description:  Verifies that requirement corresponding to
    *                liREQUERIMENT_IDENTIFIER, is true.
    */

};  /* class TRequirementVerifier */

#endif  /* not _REQUIREMENT_VERIFIER__ */
